import titanium from '../root';
import { TitaniumUnionType } from '../../../src';

const contentType = new TitaniumUnionType({
  name: 'Content',
  description: 'Any content generated on a blog',
  ofTypes: [ 'post', 'comment' ]
});

// we apply the new type definition to the Titanium main schema
titanium.addType(contentType);
